## org.eclipse.emf.ecoretools.ui.wizards
Class NewEcoreProjectWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.emf.ecoretools.ui.wizards.NewEcoreProjectWizard

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

    public class NewEcoreProjectWizard

extends org.eclipse.jface.wizard.Wizard
implements org.eclipse.ui.INewWizard

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`NewEcoreProjectWizard()`

Method Summary
`void` `addPages()`
`void` `init(org.eclipse.ui.IWorkbench workbench, org.eclipse.jface.viewers.IStructuredSelection currentSelection)` The `BasicNewResourceWizard` implementation of this `IWorkbenchWizard` method records the given workbench and selection, and initializes the default banner image for the pages by calling `initializeDefaultPageImageDescriptor`.
`boolean` `performFinish()`
`protected void` `selectAndReveal(org.eclipse.core.resources.IResource newResource)` Selects and reveals the newly added resource in all parts of the active workbench window's active page.
`static void` `selectAndReveal(org.eclipse.core.resources.IResource resource, org.eclipse.ui.IWorkbenchWindow window)` Attempts to select and reveal the specified resource in all parts within the supplied workbench window's active page.

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Constructor Detail

### NewEcoreProjectWizard

    public NewEcoreProjectWizard()

Method Detail

### init

    public void init(org.eclipse.ui.IWorkbench workbench,
                     org.eclipse.jface.viewers.IStructuredSelection currentSelection)

  The `BasicNewResourceWizard` implementation of this `IWorkbenchWizard` method records the given workbench and selection, and initializes the default banner image for the pages by calling `initializeDefaultPageImageDescriptor`. Subclasses may extend.

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchWizard`
  See Also:
    `IWorkbenchWizard.init(org.eclipse.ui.IWorkbench, org.eclipse.jface.viewers.IStructuredSelection)`

### addPages

    public void addPages()

  Specified by:
    `addPages` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `addPages` in class `org.eclipse.jface.wizard.Wizard`
  See Also:
    `Wizard.addPages()`

### performFinish

    public boolean performFinish()

  Specified by:
    `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Specified by:
    `performFinish` in class `org.eclipse.jface.wizard.Wizard`
  See Also:
    `Wizard.performFinish()`

### selectAndReveal

    protected void selectAndReveal(org.eclipse.core.resources.IResource newResource)

  Selects and reveals the newly added resource in all parts of the active workbench window's active page.

  Parameters:
    `newResource` - the Resource to select and show
  See Also:
    `ISetSelectionTarget`

### selectAndReveal

    public static void selectAndReveal(org.eclipse.core.resources.IResource resource,
                                       org.eclipse.ui.IWorkbenchWindow window)

  Attempts to select and reveal the specified resource in all parts within the supplied workbench window's active page.

  Checks all parts in the active page to see if they implement `ISetSelectionTarget`, either directly or as an adapter. If so, tells the part to select and reveal the specified resource.

  Parameters:
    `resource` - the resource to be selected and revealed
    `window` - the workbench window to select and reveal the resource
  See Also:
    `ISetSelectionTarget`

Copyright 2007 Anyware Technologies. All Rights Reserved.